RUN_VASP(1)

NAME
run_vasp - manage vasp jobs

DESCRIPTION
usage: run_vasp [-h] [-c [COMMAND]] [--no_auto_npar] [-z] [-s [SCRATCH]]

    [-ks [STATIC_KPOINT]] [-me [MAX_ERRORS]] [-hd HANDLERS [HANDLERS ...]] [-vd VALIDATORS [VALIDATORS ...]] jobs [jobs ...]

run_vasp is a master script to perform various kinds of VASP runs.

  positional arguments:

jobs
    Jobs to execute. Only sequences of relax, quickrelax, static, rampU, full_relax, static_derived, nonscf_derived, optics_derived are supported at the moment. For example, "relax relax static" will run a double relaxation followed by a static run. By default, suffixes are given sequential numbering,but this can be overridden by adding a number to the jobtype, e.g. relax5 relax6 relax7

  options:

-h, --help
    show this help message and exit

-c [COMMAND], --command [COMMAND]
    VASP command. Defaults to pvasp. If you are using mpirun, set this to something like 'mpirun pvasp'.

--no_auto_npar
    Set to true to turn off auto_npar. Useful for certain machines and calculations where you want absolute control.

-z, --gzip
    Add this option to gzip the final output. Do not gzip if you are going to perform an additional static run.

-s [SCRATCH], --scratch [SCRATCH]
    Scratch directory to perform run in. Specify the root scratch directory as the code will automatically create a temporary subdirectory to run the job.

-ks [STATIC_KPOINT], --kpoint-static [STATIC_KPOINT]
    The multiplier to use for the KPOINTS of a static run (if any). For example, setting this to 2 means that if your original run was done using a k-point grid of 2x3x3, the static run will be done with a k-point grid of 4x6x6. This defaults to 1, i.e., static runs are performed with the same k-point grid as relaxation runs.

-me [MAX_ERRORS], --max-errors [MAX_ERRORS]
    Maximum number of errors to allow before quitting

-hd HANDLERS [HANDLERS ...], --handlers HANDLERS [HANDLERS ...]
    The ErrorHandlers to use specified as string class names, with optional arguments specified as a url-like string. For example, VaspErrorHandler?output_filename=myfile.out specifies a VaspErrorHandler with output_name set to myfile.out. Multiple arguments are joined by a comma. E.g., MyHandler?myfile=a,data=1. The arguments are deserialized using yaml.

-vd VALIDATORS [VALIDATORS ...], --validators VALIDATORS [VALIDATORS ...]
    The Validators to use specified as string class names, with optional arguments specified as a url-like string. For example, VaspErrorHandler?output_filename=myfile.out specifies a VaspErrorHandler with output_name set to myfile.out. Multiple arguments are joined by a comma. E.g., MyHandler?myfile=a,data=1. The arguments are deserialized using yaml.

Author: Shyue Ping Ong